Bug 1467418 - Review Request: python-plaster-pastedeploy - A PasteDeploy binding to the plaster configuration loader
Review Request: python-plaster-pastedeploy - A PasteDeploy binding to the pla...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Callaghan
Fedora Extras Quality Assurance
:
Depends On: 1467417
Blocks: 1465428
  Show dependency treegraph
 
Reported: 2017-07-03 14:40 EDT by Randy Barlow
Modified: 2017-07-20 16:53 EDT (History)
2 users (show)

See Also:
Fixed In Version: python-plaster-pastedeploy-0.3.2-1.fc27
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-16 21:49:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dcallagh: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Randy Barlow 2017-07-03 14:40:58 EDT
Spec URL: https://bowlofeggs.fedorapeople.org/python-plaster_pastedeploy.spec
SRPM URL: https://bowlofeggs.fedorapeople.org/python-plaster_pastedeploy-0.3.2-1.fc27.src.rpm
Description: plaster_pastedeploy is a plaster plugin that provides a
plaster.Loader that can parse ini files according to the standard set
by PasteDeploy. It supports the wsgi plaster protocol, implementing
the plaster.protocols.IWSGIProtocol interface.
Fedora Account System Username: bowlofeggs
Comment 1 Dan Callaghan 2017-07-05 22:44:56 EDT
You could consider naming the Fedora package python-plaster-pastedeploy (dashes instead of underscores) even though the upstream Github repo is named plaster_pastedeploy (with underscore).

There is some precedent for that, particularly since PyPI already enforces the underscore-to-dash substitution and so packages which use underscore in their name tend to end up with a mishmash of different spellings anyway, depending where you look.

https://pypi.python.org/pypi/plaster-pastedeploy
Comment 2 Dan Callaghan 2017-07-05 22:53:44 EDT
Seems to be missing a BuildRequires on paste-deploy. The build failed in %check for me, with a bunch of test failures:

ImportError: No module named paste.deploy
Comment 3 Randy Barlow 2017-07-06 10:16:57 EDT
I've renamed it to use the dash and I've added the BuildRequires. Thanks!

Spec URL: https://bowlofeggs.fedorapeople.org/python-plaster-pastedeploy.spec
SRPM URL: https://bowlofeggs.fedorapeople.org/python-plaster-pastedeploy-0.3.2-1.fc27.src.rpm
Comment 4 Dan Callaghan 2017-07-07 00:32:34 EDT
Fixed the bug summary for the new name.
Comment 5 Dan Callaghan 2017-07-07 00:47:44 EDT
APPROVED but please remove the trailing period from Summary, as indicated by rpmlint.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
[x]: Package functions as described.
     Note: only tested python -c 'import plaster_pastedeploy'
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[-]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-plaster-pastedeploy-0.3.2-1.fc27.noarch.rpm
          python3-plaster-pastedeploy-0.3.2-1.fc27.noarch.rpm
          python-plaster-pastedeploy-0.3.2-1.fc27.src.rpm
python2-plaster-pastedeploy.noarch: W: summary-ended-with-dot C A PasteDeploy binding to the plaster configuration loader.
python2-plaster-pastedeploy.noarch: W: spelling-error %description -l en_US ini -> uni, in, ii
python2-plaster-pastedeploy.noarch: W: spelling-error %description -l en_US wsgi -> swig, wigs, newsgirl
python2-plaster-pastedeploy.noarch: W: spelling-error %description -l en_US IWSGIProtocol -> Protocol
python3-plaster-pastedeploy.noarch: W: summary-ended-with-dot C A PasteDeploy binding to the plaster configuration loader.
python3-plaster-pastedeploy.noarch: W: spelling-error %description -l en_US ini -> uni, in, ii
python3-plaster-pastedeploy.noarch: W: spelling-error %description -l en_US wsgi -> swig, wigs, newsgirl
python3-plaster-pastedeploy.noarch: W: spelling-error %description -l en_US IWSGIProtocol -> Protocol
python-plaster-pastedeploy.src: W: summary-ended-with-dot C A PasteDeploy binding to the plaster configuration loader.
python-plaster-pastedeploy.src: W: spelling-error %description -l en_US ini -> uni, in, ii
python-plaster-pastedeploy.src: W: spelling-error %description -l en_US wsgi -> swig, wigs, newsgirl
python-plaster-pastedeploy.src: W: spelling-error %description -l en_US IWSGIProtocol -> Protocol
3 packages and 0 specfiles checked; 0 errors, 12 warnings.




Rpmlint (installed packages)
----------------------------
python2-plaster-pastedeploy.noarch: W: summary-ended-with-dot C A PasteDeploy binding to the plaster configuration loader.
python2-plaster-pastedeploy.noarch: W: spelling-error %description -l en_US ini -> uni, in, ii
python2-plaster-pastedeploy.noarch: W: spelling-error %description -l en_US wsgi -> swig, wigs, newsgirl
python2-plaster-pastedeploy.noarch: W: spelling-error %description -l en_US IWSGIProtocol -> Protocol
python3-plaster-pastedeploy.noarch: W: summary-ended-with-dot C A PasteDeploy binding to the plaster configuration loader.
python3-plaster-pastedeploy.noarch: W: spelling-error %description -l en_US ini -> uni, in, ii
python3-plaster-pastedeploy.noarch: W: spelling-error %description -l en_US wsgi -> swig, wigs, newsgirl
python3-plaster-pastedeploy.noarch: W: spelling-error %description -l en_US IWSGIProtocol -> Protocol
2 packages and 0 specfiles checked; 0 errors, 8 warnings.



Requires
--------
python2-plaster-pastedeploy (rpmlib, GLIBC filtered):
    python(abi)
    python-paste-deploy
    python2-plaster
    python2-setuptools

python3-plaster-pastedeploy (rpmlib, GLIBC filtered):
    python(abi)
    python3-paste-deploy
    python3-plaster
    python3-setuptools



Provides
--------
python2-plaster-pastedeploy:
    python-plaster-pastedeploy
    python2-plaster-pastedeploy
    python2.7dist(plaster-pastedeploy)
    python2dist(plaster-pastedeploy)

python3-plaster-pastedeploy:
    python3-plaster-pastedeploy
    python3.6dist(plaster-pastedeploy)
    python3dist(plaster-pastedeploy)



Source checksums
----------------
https://github.com/Pylons/plaster_pastedeploy/archive/0.3.2/plaster-pastedeploy-0.3.2.tar.gz :
  CHECKSUM(SHA256) this package     : 3c25a9abc0edd9af49232f760c2aacdc3dcc107f447a7e8b2553a31aacf0cfeb
  CHECKSUM(SHA256) upstream package : 3c25a9abc0edd9af49232f760c2aacdc3dcc107f447a7e8b2553a31aacf0cfeb


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1467418 -m fedora-rawhide-x86_64 -L asdf/
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Built with local dependencies:
    /home/dcallagh/work/fedora/reviews/asdf/python2-plaster-0.5-1.fc27.noarch.rpm
    /home/dcallagh/work/fedora/reviews/asdf/python3-plaster-0.5-1.fc27.noarch.rpm
    /home/dcallagh/work/fedora/reviews/asdf/python-plaster-doc-0.5-1.fc27.noarch.rpm
Comment 6 Gwyn Ciesla 2017-07-07 13:35:50 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/python-plaster-pastedeploy
Comment 7 Randy Barlow 2017-07-07 15:56:56 EDT
Thanks for the review!

I've removed the period in this commit, which was made before any builds were built:

http://pkgs.fedoraproject.org/cgit/rpms/python-plaster-pastedeploy.git/commit/?id=f4465ac5b4e2ef98c754d9a8f5e1e9d05b3e341f
Comment 8 Fedora Update System 2017-07-07 18:14:09 EDT
python-plaster-pastedeploy-0.3.2-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ef8636cd85
Comment 9 Fedora Update System 2017-07-08 19:49:38 EDT
python-plaster-pastedeploy-0.3.2-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-6a1b90b37e
Comment 10 Fedora Update System 2017-07-08 22:53:58 EDT
python-plaster-pastedeploy-0.3.2-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ef8636cd85
Comment 11 Fedora Update System 2017-07-09 01:19:44 EDT
python-plaster-pastedeploy-0.3.2-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c033da81ff
Comment 12 Fedora Update System 2017-07-12 01:27:41 EDT
python-plaster-pastedeploy-0.3.2-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-6bdf44ab05
Comment 13 Fedora Update System 2017-07-16 21:49:40 EDT
python-plaster-pastedeploy-0.3.2-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2017-07-20 11:52:26 EDT
python-plaster-pastedeploy-0.3.2-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2017-07-20 16:53:02 EDT
python-plaster-pastedeploy-0.3.2-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.